/Users/bernard/b20/bsoft/include/model_multifit.h(3)

NAME
/Users/bernard/b20/bsoft/include/model_multifit.h - Header file for searching for a template in a map and returning multiple hits in a model.

SYNOPSIS

#include 'rwimg.h'
#include 'rwmodel.h'
#include 'View.h'

  Functions
Bmodel * model_from_densities (Bimage *p, Bimage *ptemp, View *view, double alpha, double alpha_step, double hires, double lores, Bimage *pmask, double threshold)
Searches a 2D/3D density map for a template.
Bmodel * model_from_densities_for_view (Bimage *p, Bimage *ptemp, View view, double hires, double lores, Bimage *pmask, double threshold)
Searches a 2D/3D density map for a template using a specific view.
Bmodel * model_from_peaks (Bimage *p, double threshold, int wrap)
Generates a model from peaks in a map.

Detailed Description

Header file for searching for a template in a map and returning multiple hits in a model.

Author:
    Bernard Heymann

Date:
    Created: 20021027

    Modified: 20151127

Definition in file model_multifit.h.

Function Documentation

  Bmodel* model_from_densities (Bimage * p, Bimage * ptemp, View * view, double alpha, double alpha_step, double hires, double lores, Bimage * pmask, double threshold)

Searches a 2D/3D density map for a template.

Parameters:
    *p the image.
    *ptemp the template to be searched for.
    *view views.
    alpha rotation around view vector, <0 = use 2*PI (radians).
    alpha_step angular step size around view vector (radians).
    hires high resolution limit.
    lores low resolution limit.
    *pmask mask for cross-correlation (ignored if NULL).
    threshold threshold value, if 0, threshold = FOMmax/2.

Returns:
    Bmodel* list of solutions.

    The template is rotated and cross-correlated to find the best fit.
    The views must be calculated externally to allow for custom sets.

Definition at line 38 of file model_multifit.cpp.

  Bmodel* model_from_densities_for_view (Bimage * p, Bimage * ptemp, View view, double hires, double lores, Bimage * pmask, double threshold)

Searches a 2D/3D density map for a template using a specific view.

Parameters:
    *p the image.
    *ptemp the template to be searched for.
    view view.
    hires high resolution limit.
    lores low resolution limit.
    *pmask mask for cross-correlation (ignored if NULL).
    threshold threshold value, if 0, threshold = FOMmax/2.

Returns:
    Bmodel* list of solutions.

    The template is rotated to the view and cross-correlated to find
    a set of high-scoring fits.
    The views must be calculated externally to allow for custom sets.

Definition at line 171 of file model_multifit.cpp.

  Bmodel* model_from_peaks (Bimage * p, double threshold, int wrap)

Generates a model from peaks in a map.

Parameters:
    *p cross-correlation map.
    threshold threshold value, if 0, threshold = FOMmax/2.
    wrap flag to wrap around image boundaries.

Returns:
    Bmodel* list of peaks.

    Peaks found in the map are returned in the FOM block.
    A component is generated from each peak with a FOM above the threshold.

Definition at line 209 of file model_multifit.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.